Brightness control broken on XPS13 and 3.8.0-16, 3.8.0-22 and 3.11.0-12

Bug #1163720 reported by Aurélien COUDERC on 2013-04-03
270
This bug affects 55 people
Affects Status Importance Assigned to Milestone
Linux
Incomplete
Medium
linux (Ubuntu)
Medium
Kamal Mostafa
Precise
Undecided
Kamal Mostafa
Quantal
Undecided
Kamal Mostafa
Raring
Medium
Kamal Mostafa
Saucy
Undecided
Kamal Mostafa

Bug Description

Since 3.8.0-16, the brightness control doesn’t work anymore.
The popup is displayed, so the shortcut keys do work correctly, but it has no effect on the actual brightness of the screen.

Switching back to 3.8.0-15 solves the issue.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.8.0-16-generic 3.8.0-16.26
ProcVersionSignature: Ubuntu 3.8.0-16.26-generic 3.8.5
Uname: Linux 3.8.0-16-generic x86_64
ApportVersion: 2.9.2-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: coucouf 1837 F.... pulseaudio
Date: Wed Apr 3 08:29:58 2013
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-precise-amd64-20120703-2
HibernationDevice: RESUME=UUID=e49e9eae-f16f-45bb-ad2c-b6da5c0c6f6d
InstallationDate: Installed on 2013-03-23 (10 days ago)
InstallationMedia: Ubuntu 12.04 "Precise" - Build amd64 LIVE Binary 20120703-15:08
MachineType: Dell Inc. Dell System XPS L322X
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-16-generic root=UUID=3f6858e1-d8f5-44c4-b8e9-5ab8b9639ba7 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-16-generic N/A
 linux-backports-modules-3.8.0-16-generic N/A
 linux-firmware 1.104
SourcePackage: linux
UpgradeStatus: Upgraded to raring on 2013-04-02 (0 days ago)
dmi.bios.date: 01/22/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.name: 0PJHXN
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd01/22/2013:svnDellInc.:pnDellSystemXPSL322X:pvr:rvnDellInc.:rn0PJHXN:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Dell System XPS L322X
dmi.sys.vendor: Dell Inc.

Aurélien COUDERC (coucouf) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: regression-update
Changed in linux (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)

Reference information:

The regression was caused by this commit:
    0e7a2fe Revert "drm/i915: write backlight harder"

The reverted commit (719429a drm/i915: write backlight harder) is known to enable working backlight controls on the XPS 13 and some other models, but apparently causes black-screen or no-backlight-controls after suspend on some other models (per bugzilla report). Discussion of the revert starts about here: https://bugzilla.kernel.org/show_bug.cgi?id=47941#c41

Changed in linux (Ubuntu):
status: Confirmed → In Progress
Changed in linux:
importance: Unknown → Medium
status: Unknown → Fix Released
Matthew Dye (mdye) wrote :

When will this fix be coming through?

Kamal Mostafa (kamalmostafa) wrote :

Note that the Bug Watch Updater indication that this is "RESOLVED CODE_FIX / Fix Released" is incorrect. This bug is still present in the upstream (and Raring) kernels.

I am working on a fix which should resolve this bug in Raring, as well as the related issue LP: #1162026.

Tim Gardner (timg-tpi) on 2013-04-09
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Changed in linux:
status: Fix Released → Confirmed
Kamal Mostafa (kamalmostafa) wrote :

This problem is fixed (for the old and new Dell XPS 13 models) in the next Raring kernel (3.8.0-18.28), which is available now in raring-proposed (see https://wiki.ubuntu.com/Testing/EnableProposed ).

Aurélien COUDERC (coucouf) wrote :

Confirming the fix for the sputnik 2 with this kernel.

Thank you !

Launchpad Janitor (janitor) wrote :
Download full text (4.5 KiB)

This bug was fixed in the package linux - 3.8.0-18.28

---------------
linux (3.8.0-18.28) raring; urgency=low

  [ Andy Whitcroft ]

  * (debian) fix internal linkage for separated header packages
    - LP: #1165259

  [ Gavin Guo ]

  * SAUCE: Bluetooth: Add support for Broadcom 413c:8143
    - LP: #1166113

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Fix quieting of audit messages for network
    mediation
    - LP: #1163259

  [ Kamal Mostafa ]

  * SAUCE: (no-up) drm/i915: quirk no PCH_PWM_ENABLE for Dell XPS13
    backlight
    - LP: #1162026, #1163720

  [ Leann Ogasawara ]

  * [Config] Disable CONFIG_PARPORT_PC_FIFO
    - LP: #339752

  [ Martin Pitt ]

  * SAUCE: (no-up) mac80211_hwsim: Register and bind to driver
    - LP: #1166250

  [ Paolo Pisati ]

  * [Config] RTC_DRV_PL031=y

  [ Stefan Bader ]

  * (debian) Abort build on unresolved symbols
    - LP: #1166197

  [ Tim Gardner ]

  * [Config] Add libceph to inclusion list
  * [Config] Drop all inclusion list modules with unsatisfied dependencies
  * SAUCE: (no-up) Remove emi62 files duplicated in linux-firmware
  * SAUCE: (no-up) Remove emi26 files duplicated in linux-firmware
  * SAUCE: (no-up) Remove whiteheat files duplicated in linux-firmware
  * Release Tracking Bug
    - LP: #1168040

  [ Upstream Kernel Changes ]

  * TTY: do not update atime/mtime on read/write
    - LP: #1097680
    - CVE-2013-0160
  * KVM: x86: Convert MSR_KVM_SYSTEM_TIME to use gfn_to_hva_cache functions
    (CVE-2013-1797)
    - LP: #1158258
    - CVE-2013-1797
  * KVM: Fix bounds checking in ioapic indirect register reads
    (CVE-2013-1798)
    - LP: #1158262
    - CVE-2013-1798
  * drm/i915: HDMI/DP - ELD info refresh support for Haswell
    - LP: #1011438
  * ALSA - HDA: New PCI ID for Haswell ULT
    - LP: #1011438
  * ALSA: hda - Support rereading widgets under the function group
    - LP: #1011438
  * ALSA: hda - Add fixup for Haswell to enable all pin and convertor
    widgets
    - LP: #1011438
  * libata: fix DMA to stack in reading devslp_timing parameters
    - LP: #1031173
  * dmaengine: dw_dmac: remove CLK dependency
    - LP: #1031163
  * dmaengine: dw_dmac: Enhance device tree support
    - LP: #1031163
  * dmaengine: dw_dmac: amend description and indentation
    - LP: #1031163
  * dw_dmac: change dev_printk() to corresponding macros
    - LP: #1031163
  * dw_dmac: don't call platform_get_drvdata twice
    - LP: #1031163
  * dw_dmac: change dev_crit to dev_WARN in dwc_handle_error
    - LP: #1031163
  * dw_dmac: introduce to_dw_desc() macro
    - LP: #1031163
  * dw_dmac: absence of pdata isn't critical when autocfg is set
    - LP: #1031163
  * dw_dmac: check for mapping errors
    - LP: #1031163
  * dw_dmac: remove redundant check
    - LP: #1031163
  * dw_dmac: update tx_node_active in dwc_do_single_block
    - LP: #1031163
  * dma: dw_dmac: add dwc_chan_pause and dwc_chan_resume
    - LP: #1031163
  * dmaengine: introduce is_slave_direction function
    - LP: #1031163
  * dmaengine: add possibility for cyclic transfers
    - LP: #1031163
  * dma: dw_dmac: check direction properly in dw_dma_cyclic_prep
    - LP: #1031163
  * dma: ep93xx_dma: reuse is_slave_direction helpe...

Read more...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Luciano Dato (lucianodato) wrote :

Dell 1558 (A12 bios) here, same problem, gonna try and report

cvrse (cvrse) wrote :

This issue is still present with the new 3.8.0.19.35 kernel.

Pascal Hartig (passy) wrote :

I have this problem as well running the latest mainline kernel 3.9.0-030900rc8-generic

Kamal Mostafa (kamalmostafa) wrote :

Most users have reported that this particular bug (Dell XPS 13 brightness controls stopped working in Raring; brightness stuck at *maximum*) is fixed as of 3.8.0-18.28.

Note also bug LP: #1169376, which affects only the Dell XPS 13 FHD 1080p model: If your XPS 13 brightness is stuck at *minimum* in Raring kernel 3.8.0-18 or -19, then consult LP: #1169376 for details and a temporary fix kernel.

These two bugs and the applied fixes do not relate to any other models other than the Dell XPS 13 line.

If you're still experiencing either problem on an XPS 13 in the forthcoming Raring kernel verson 3.8.0-20.x, please report so.

The upstream mainline kernel bug is a known issue -- still open upstream.

AlessandroS (cicerone54) wrote :

Same bug here with 3.8.0-19 Kernel. Is there a way to install the sputnik kernel over raring?

Changed in linux:
status: Confirmed → Incomplete
Martin Garton (garton) wrote :

"The upstream mainline kernel bug is a known issue -- still open upstream."

Do you have a refernece to an upstream bug report for this where is it being tracked?

Kamal Mostafa (kamalmostafa) wrote :

@Martin- See the (admittedly rather innocuous) "Remote Bug Watches" sidebar on this bug's Launchpad page. There, you'll find a link to the upstream bug: http://bugzilla.kernel.org/show_bug.cgi?id=47941

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

I was able adjust the screen brightness using kernel 3.8.0-21, but there is a regression in kernel 3.8.0-22. Using the latter, I can no longer adjust the screen brightness using the Fn keys. Hardware is DELL XPS 13 and I am running Ubuntu Linux 13.04 (64 bit).

Adrien Cunin (adri2000) wrote :

Confirming what Francisco said. This is a regression.
On a brand new XPS 13 developer edition, brghtness control works with 3.8.0-21 and doesn't work anymore with 3.8.0-22.

Luis Henriques (henrix) on 2013-05-24
Changed in linux (Ubuntu Raring):
status: Fix Released → Confirmed
Hein (hhanssen) wrote :

3.8-0.22 kernel same problem (again???) Fix released? Doesnt work on my machine!

Aurélien COUDERC (coucouf) wrote :

Confirming : the problem is back with 3.8.0-22.
Former 3.8.0-21 works fine.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
summary: - Brightness control broken on XPS13 with 3.8.0-16
+ Brightness control broken on XPS13 with 3.8.0-16 and 3.8.0-22

New kernel via updates today (3.8.0-23), but brightness-control still stuck at maximum on my Dell XPS 13.

John A. Lewis (pointful) wrote :

Having the same problem also on 3.8.0-23 on Dell XPS 13.

ricolai (ricolai) wrote :

Still affected in 3.8.0-24 and -25 :

* stuck at maximum level at startup and after a suspend
* Fn keys change brightness indicator only, not actual brightness

The brightness can be changed after running:

sudo bash -c "echo 0 > /sys/class/backlight/intel_backlight/brightness"

Kent Baxley (kentb) wrote :

@Kamal,

It seems that putting the 'old' patch that included ivy bridge fixes the XPS 13 Full-HD models again. Recent kernels (3.8.0-22 and up) with the FHD XPS 13 are not working anymore with regard to backlight controls.

By 'old' patch, I mean:

https://bugzilla.kernel.org/attachment.cgi?id=97751

Aurélien COUDERC (coucouf) wrote :

3.8.0-26 still broken…

Bib (bybeu) wrote :

L322X F4/F5 Broken
Bios A08
3.8.0-26-generic

Frank (frank-g-hansen) wrote :

Hi,

how about a workaround? I cannot write a script at all, but from Google searches on how to do stuff I created my own workaround:

1) For working brightness buttons after startup and a startup brightness of 50 % I added the following to the file /etc/rc.local (before the exit 0):

bash -c "echo 0 > /sys/class/backlight/intel_backlight/brightness"
bash -c "echo 50 > /sys/class/backlight/acpi_video0/brightness"

2) For working brightness buttons after a suspend I added a file named

20_Enable_Brightness_setting_keys

to the directory /etc/pm/sleep.d

The file contains:

case "${1}" in
    resume|thaw)

bash -c "echo 0 > /sys/class/backlight/intel_backlight/brightness"

;;
esac

I guess this is crude and full of possible errors/problems, but it works for me for the time being. This way the brightness after a resume is at the level it was before standby and the brightness keys on the XPS13 work.

Addie MacGruer (addiemacgruer) wrote :

Still an issue on 3.8.0-27 64-bit.

frank-g-hansen's script works around the issue well. For some reason, my case selection has to read:

case "${1}" in
    true|resume|thaw)

... in order to resume brightness control after sleep.

Nikki1993 (nikki-icekronik) wrote :

LoL, My brightness works as intended. I am on Ubuntu 13.04 64bit Kernel 3.8.0-27-generic
It didn't work when I installed Ubuntu in BIOS mode (since XPS 13 ships with Motherboard that is UEFI), when I switched to UEFI mode and reinstalled my OS, brightness issue was fixed. I can lower it down and up using function keys or by adjusting settings.

Addie MacGruer (addiemacgruer) wrote :

Can confirm Nikki1993's fix: switching to UEFI boot fixes the issue entirely.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.11.0-1.4

---------------
linux (3.11.0-1.4) saucy; urgency=low

  [ Tim Gardner ]

  * Bump ABI when making changes to the inclusion list lest
    you cause conflicts with existing installed kernel
    packages.
    - LP: #1210331
 -- Tim Gardner <email address hidden> Fri, 09 Aug 2013 03:03:51 +0100

Changed in linux (Ubuntu):
status: Confirmed → Fix Released

Addie: Did you do a reinstall or just switch to EFI mode and update the bootloader? If the Former, please confirm what the difference in packages and package versions is between your previous install and your current install.

Addie MacGruer (addiemacgruer) wrote :

Hi Daniel. Had to do a reinstall; hadn't left any space on the drive for an EFI partition.

I installed the Ubuntu 13.04 x64 release, which came with the 3.8.0-19 kernel. This had a strange result, which was that the screen was fixed to minimum (backlight off) brightness, and wouldn't change. Doing a software update to 3.8.0-27 fixed the issue, and resulted in the normal operation which I was expecting.

My previous installation, which booted in legacy bios, had also been updated to 3.8.0-27. Brightness wasn't operational on boot or after resume until a script like Frank's was run.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
tags: added: verification-needed-raring
1 comments hidden view all 115 comments
Kamal Mostafa (kamalmostafa) wrote :

Re-verified:
Quantal 3.5.0-40.62
Raring 3.8.0-30.44

tags: added: verification-done-quantal verification-done-raring
removed: verification-needed-quantal verification-needed-raring
Launchpad Janitor (janitor) wrote :
Download full text (7.2 KiB)

This bug was fixed in the package linux - 3.8.0-30.44

---------------
linux (3.8.0-30.44) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1215596

  [ Upstream Kernel Changes ]

  * Don't attempt to send extended INQUIRY command if skip_vpd_pages is set
    - LP: #1215155

linux (3.8.0-30.43) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1215095

  [ Andy Whitcroft ]

  * [Packaging] supply perf with appropriate prefix to ensure use of local
    config
    - LP: #1206200
    - CVE-2013-1060

  [ Brad Figg ]

  * Start new release

  [ John Johansen ]

  * Revert "SAUCE: (no-up) AppArmor: Disable Add PR_{GET,SET}_NO_NEW_PRIVS
    to prevent execve from granting privs"
    - LP: #1202161

  [ Joseph Salisbury ]

  * SAUCE: (no-up) intel_ips: blacklist ASUSTek G60JX laptops
    - LP: #1210848

  [ Kamal Mostafa ]

  * SAUCE: (no-up) Revert "SAUCE: (no-up) drm/i915: quirk no PCH_PWM_ENABLE
    for Dell XPS13 backlight"

  [ Tim Gardner ]

  * [Config] Include rbd and kvm in the virtual inclusion list
    - LP: #1206961

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: Workaround incoherence between fences and LLC across
    multiple CPUs"
    - LP: #1207977
  * xen/blkback: Check device permissions before allowing OP_DISCARD
    - LP: #1207977
  * ASoC: sglt5000: Fix the default value of CHIP_SSS_CTRL
    - LP: #1207977
  * ASoC: sglt5000: Fix SGTL5000_PLL_FRAC_DIV_MASK
    - LP: #1207977
  * drm/i915: Correct obj->mm_list link to
    dev_priv->dev_priv->mm.inactive_list
    - LP: #1207977
  * drm/i915: fix up ring cleanup for the i830/i845 CS tlb w/a
    - LP: #1207977
  * Partially revert "drm/i915: unconditionally use mt forcewake on
    hsw/ivb"
    - LP: #1207977
  * drm/i915: Fix write-read race with multiple rings
    - LP: #1207977
  * drm/i915: merge {i965, sandybridge}_write_fence_reg()
    - LP: #1207977
  * drm/i915: Fix incoherence with fence updates on Sandybridge+
    - LP: #1207977
  * drm/i915: rename sdvox_reg to hdmi_reg on HDMI context
    - LP: #1207977
  * drm/i915: don't setup hdmi for port D edp in ddi_init
    - LP: #1207977
  * drm/i915: Preserve the DDI_A_4_LANES bit from the bios
    - LP: #1207977
  * drm/radeon/hdmi: make sure we have an afmt block assigned
    - LP: #1207977
  * drm/radeon: allocate SA bo in the requested domain
    - LP: #1207977
  * drm/radeon: allow selection of alignment in the sub-allocator
    - LP: #1207977
  * ACPI / memhotplug: Fix a stale pointer in error path
    - LP: #1207977
  * PM / Sleep: avoid 'autosleep' in shutdown progress
    - LP: #1207977
  * ext4: fix error handling in ext4_ext_truncate()
    - LP: #1207977
  * radeon kms: do not flush uninitialized hotplug work
    - LP: #1207977
  * ALSA: asihpi: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: atiixp: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: 6fire: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: ua101: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: usx2y: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: pxa2xx: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ASoC: atmel: Fix unl...

Read more...

Changed in linux (Ubuntu Raring):
status: Confirmed → Fix Released
Andrea Cerisara (acerisara) wrote :

Just upgraded to the latest kernel available (3.8.0-30-generic) and the brightness control is broken (very low, fixed, controls don't work), while with the previous version (3.8.0-29-generic) everything was working fine. New Dell XPS 13 1080p, 13.04.

martin (joliclic) wrote :

same problems as Andrea, brightness control is broken (very low, fixed, controls don't work) with the last kernel 3.8.0-30.44.
I have to start with the previous kernel 3.8.0-29, but ctrl+F4/F5 doesn't work and brightness is always maximum.

Dell XPS 13 1080p, 13.04 64bit.

martin (joliclic) wrote :

there's an error in my previous report.

- kernel 3.8.0-29 : everything ok, brightness is adjustable, with CTRL+F4/F5 or via a XFCE widget

- kernel 3.8.0-30 : nothing work, brightness always minimum, CTRL+F4/F5 doesn't work, XFCE widget doesn't work.

My laptop is a Dell XPS 13 with the 1080p display, BIOS A09, UEFI boot.

me@mylaptop:~$ uname -a
Linux mylaptop 3.8.0-29-generic #42-Ubuntu SMP Tue Aug 13 19:40:39 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Bib (bybeu) on 2013-09-30
tags: added: l322x
Brad Figg (brad-figg) on 2013-10-07
tags: added: verification-needed-precise
Andy Whitcroft (apw) on 2013-10-10
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Precise):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: Fix Committed → In Progress
Changed in linux (Ubuntu Raring):
status: Fix Released → In Progress
Changed in linux (Ubuntu):
status: Fix Released → In Progress
tags: removed: verification-done-quantal verification-done-raring verification-needed-precise
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Released
status: In Progress → Fix Released
Gorgonilla (lviggiani) on 2013-10-25
summary: - Brightness control broken on XPS13 with 3.8.0-16 and 3.8.0-22
+ Brightness control broken on XPS13 and 3.8.0-16, 3.8.0-22 and 3.11.0-12
Brad Figg (brad-figg) on 2013-10-28
tags: added: verification-needed-quantal
Brad Figg (brad-figg) on 2013-11-05
tags: added: verification-done-quantal
removed: verification-needed-quantal
Changed in linux (Ubuntu):
status: In Progress → Fix Released
35 comments hidden view all 115 comments
Kamal Mostafa (kamalmostafa) wrote :

I have prepared a test kernel for saucy and raring that may help Dell XPS13 systems which experience black screen on boot and non-functional backlight controls. (In particular, this case has been reported when UEFI BIOS is enabled on XPS13's). This test kernel is _only_ relevant for XPS13's.

See http://zinc.canonical.com/~kamal/xps13-pch-bootparam/ and follow the instructions in the README. (IMPORTANT: In addition to installing the test kernel, you must enable the fix with a boot parameter, as the README explains).

Please provide feedback here regarding whether the test kernel and boot parameter helps you XPS13 backlight.

I tested on an L322X with _F_HD display and A09 BIOS in UEFI mode.

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.11.0-14-generic root=/dev/mapper/ubuntu--vg-root ro splash quiet i915.disable_pch_pwm=0 vt.handoff=7

If I use i915.disable_pch_pwm=0 with the legacy OPROM enabled, I have to run "echo 0 > /sys/class/backlight/intel_backlight/brightness", after which the backlight keys work. If I use i915.disable_pch_pwm=1 with the legacy OPROM _disabled_, the backlight keys work without any additional work.

If I use i915.disable_pch_pwm=0 with the legacy OPROM _disabled_, your test kernel fixes the backlight issue. (However, apparently Saucy's kernel causes really bad graphics corruption if the legacy OPROM is disabled, which is a separate issue.)
And for kicks, i915.disable_pch_pwm=1 with the legacy OPROM disabled brings the system up with the backlight at its lowest setting.

Tim Gardner (timg-tpi) on 2013-11-19
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
status: New → Fix Committed
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux (Ubuntu Saucy):
status: New → Fix Committed
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux (Ubuntu Precise):
status: Fix Released → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-raring' to 'verification-done-raring'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-raring
tags: added: verification-needed-saucy
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-saucy' to 'verification-done-saucy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Gorgonilla (lviggiani) wrote :

Hi, I have tested 3.11.0-15-generic on Suacy from proposed and it behaves exactly as 3.11.0-14-generic that is:
- With Secure Boot = Off; Load Legacy Rom = ON; display brightness control is OK
- With Secure Boot = On; black display

Same results with me on Saucy as @lviggiani

Gorgonilla (lviggiani) wrote :

Just tested 3.11.0-15.23 (yesterday was 3.11.0-15.22): same result as above.

Brad Figg (brad-figg) wrote :

Given that the "fix" implemented is a optional boot param with no regression potential, I'm going to set the tags appropriately.

tags: added: verification-done-precise verification-done-raring verification-done-saucy
removed: verification-needed-precise verification-needed-raring verification-needed-saucy
Kamal Mostafa (kamalmostafa) wrote :

XPS13-with-UEFI users, please take note and try the following:

The Ubuntu -proposed kernels now allow you to set a new boot parameter "i915.disable_pch_pwm=0" which should correct the black screen on boot problem, and may enable backlight control functionality after boot. However, the boot parameter is NOT enabled by default (since it would adversely affect non-UEFI configurations). The boot parameter is only relevant for Dell XPS13's. See comment #77 for additional information.

The "i915.disable-pch_pwm=0" boot parameter is available as of these kernel versions:

  Saucy 3.11.0-15 #22
  Raring 3.8.0-35 #50
  Quantal 3.5.0-45 #68
  Precise 3.2.0-58 #88

See this page for instructions about using boot parameters: https://wiki.ubuntu.com/Kernel/KernelBootParameters

As is mentioned in the README in http://zinc.canonical.com/~kamal/xps13-pch-bootparam/, using the boot parameter does correct the black screen on boot (yay!), but does not enable backlight control (which is a shame because it's a really effective for preserving battery life).

I'm on an XPS13 with Saucy kernel 3.11.0-15 #22 from saucy-proposed.

Barak Michener (barakmich) wrote :

Had this problem after updating from 13.04 to 13.10. Installed the kernel from saucy-proposed and added the boot parameter as per this bug.

On an XPS13 L322X and running 3.11.0-15-generic #23. Works now!

Launchpad Janitor (janitor) wrote :
Download full text (7.1 KiB)

This bug was fixed in the package linux - 3.2.0-58.88

---------------
linux (3.2.0-58.88) precise; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1257370

  [ Kamal Mostafa ]

  * SAUCE: (no-up) drm/i915: i915.disable_pch_pwm overrides PCH_PWM_ENABLE
    quirk
    - LP: #1163720

  [ Upstream Kernel Changes ]

  * KVM: perform an invalid memslot step for gpa base change
    - LP: #1254900
    - CVE-2013-4592
  * KVM: Fix iommu map/unmap to handle memory slot moves
    - LP: #1254900
    - CVE-2013-4592
  * ARM: 7301/1: Rename the T() macro to TUSER() to avoid namespace
    conflicts
    - LP: #1254901
    - CVE-2013-6282
  * ARM: 7527/1: uaccess: explicitly check __user pointer when
    !CPU_USE_DOMAINS
    - LP: #1254901
    - CVE-2013-6282
  * libertas: potential oops in debugfs
    - LP: #1256080
    - CVE-2013-6378
  * tcp: must unclone packets before mangling them
    - LP: #1257010
  * tcp: do not forget FIN in tcp_shifted_skb()
    - LP: #1257010
  * net: do not call sock_put() on TIMEWAIT sockets
    - LP: #1257010
  * net: heap overflow in __audit_sockaddr()
    - LP: #1257010
  * proc connector: fix info leaks
    - LP: #1257010
  * ipv4: fix ineffective source address selection
    - LP: #1257010
  * can: dev: fix nlmsg size calculation in can_get_size()
    - LP: #1257010
  * ipv6: restrict neighbor entry creation to output flow
    - LP: #1257010
  * net: vlan: fix nlmsg size calculation in vlan_get_size()
    - LP: #1257010
  * l2tp: must disable bh before calling l2tp_xmit_skb()
    - LP: #1257010
  * farsync: fix info leak in ioctl
    - LP: #1257010
  * connector: use nlmsg_len() to check message length
    - LP: #1257010
  * bnx2x: record rx queue for LRO packets
    - LP: #1257010
  * net: dst: provide accessor function to dst->xfrm
    - LP: #1257010
  * sctp: Use software crc32 checksum when xfrm transform will happen.
    - LP: #1257010
  * sctp: Perform software checksum if packet has to be fragmented.
    - LP: #1257010
  * wanxl: fix info leak in ioctl
    - LP: #1257010
  * net: unix: inherit SOCK_PASS{CRED, SEC} flags from socket to fix race
    - LP: #1257010
  * net: fix cipso packet validation when !NETLABEL
    - LP: #1257010
  * davinci_emac.c: Fix IFF_ALLMULTI setup
    - LP: #1257010
  * PCI: fix truncation of resource size to 32 bits
    - LP: #1257010
  * fs: add new FMODE flags: FMODE_32bithash and FMODE_64bithash
    - LP: #1257010
  * ext4: return 32/64-bit dir name hash according to usage type
    - LP: #1257010
  * nfsd: rename 'int access' to 'int may_flags' in nfsd_open()
    - LP: #1257010
  * nfsd: vfs_llseek() with 32 or 64 bit offsets (hashes)
    - LP: #1257010
  * ext3: return 32/64-bit dir name hash according to usage type
    - LP: #1257010
  * perf: Fix perf ring buffer memory ordering
    - LP: #1257010
  * xen-netback: use jiffies_64 value to calculate credit timeout
    - LP: #1257010
  * perf tools: Fix getrusage() related build failure on glibc trunk
    - LP: #1257010
  * inet: fix possible memory corruption with UDP_CORK and UFO
    - LP: #1257010
  * 8139cp: re-enable interrupts after tx timeout
    - LP: #1257010
  * netfilter: nf_ct_sip: don't drop packets with of...

Read more...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
1 comments hidden view all 115 comments
Launchpad Janitor (janitor) wrote :
Download full text (6.1 KiB)

This bug was fixed in the package linux - 3.5.0-45.68

---------------
linux (3.5.0-45.68) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1257035

  [ Kamal Mostafa ]

  * SAUCE: (no-up) drm/i915: i915.disable_pch_pwm overrides PCH_PWM_ENABLE
    quirk
    - LP: #1163720

  [ Upstream Kernel Changes ]

  * nfs: don't allow nfs_find_actor to match inodes of the wrong type
    - LP: #1257002
  * jfs: fix error path in ialloc
    - LP: #1257002
  * mac80211: drop spoofed packets in ad-hoc mode
    - LP: #1257002
  * mac80211: use sta_info_get_bss() for nl80211 tx and client probing
    - LP: #1257002
  * mac80211: update sta->last_rx on acked tx frames
    - LP: #1257002
  * iwlwifi: pcie: add SKUs for 6000, 6005 and 6235 series
    - LP: #1257002
  * libata: make ata_eh_qc_retry() bump scmd->allowed on bogus failures
    - LP: #1257002
  * mac80211: correctly close cancelled scans
    - LP: #1257002
  * rtlwifi: rtl8192cu: Fix error in pointer arithmetic
    - LP: #1257002
  * wireless: radiotap: fix parsing buffer overrun
    - LP: #1257002
  * drm/vmwgfx: Don't kill clients on VT switch
    - LP: #1257002
  * ecryptfs: Fix memory leakage in keystore.c
    - LP: #1257002
  * drm: Prevent overwriting from userspace underallocating core ioctl
    structs
    - LP: #1257002
  * drm: Pad drm_mode_get_connector to 64-bit boundary
    - LP: #1257002
  * drm/radeon/atom: workaround vbios bug in transmitter table on rs780
    - LP: #1257002
  * md: Fix skipping recovery for read-only arrays.
    - LP: #1257002
  * md: avoid deadlock when md_set_badblocks.
    - LP: #1257002
  * target/pscsi: fix return value check
    - LP: #1257002
  * parisc: Do not crash 64bit SMP kernels on machines with >= 4GB RAM
    - LP: #1257002
  * USB: serial: ftdi_sio: add id for Z3X Box device
    - LP: #1257002
  * clockevents: Sanitize ticks to nsec conversion
    - LP: #1257002
  * perf: Fix perf ring buffer memory ordering
    - LP: #1257002
  * xtensa: don't use alternate signal stack on threads
    - LP: #1257002
  * ASoC: dapm: Fix source list debugfs outputs
    - LP: #1257002
  * ASoC: wm_hubs: Add missing break in hp_supply_event()
    - LP: #1257002
  * uml: check length in exitcode_proc_write()
    - LP: #1257002
  * staging: ozwpan: prevent overflow in oz_cdev_write()
    - LP: #1257002
  * aacraid: missing capable() check in compat ioctl
    - LP: #1257002
  * staging: wlags49_h2: buffer overflow setting station name
    - LP: #1257002
  * Staging: bcm: info leak in ioctl
    - LP: #1257002
  * ALSA: fix oops in snd_pcm_info() caused by ASoC DPCM
    - LP: #1257002
  * lib/scatterlist.c: don't flush_kernel_dcache_page on slab page
    - LP: #1257002
  * scripts/kallsyms: filter symbols not in kernel address space
    - LP: #1257002
  * xen-netback: use jiffies_64 value to calculate credit timeout
    - LP: #1257002
  * net: flow_dissector: fail on evil iph->ihl
    - LP: #1257002
  * PCI/PM: Clear state_saved during suspend
    - LP: #1257002
  * ALSA: hda - Move one-time init codes from generic_hdmi_init()
    - LP: #1212160, #1257002
  * NFSv4: Fix a use-after-free situation in _nfs4_proc_getlk()
    - LP: #1257002
  * USB: mo...

Read more...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
1 comments hidden view all 115 comments
Launchpad Janitor (janitor) wrote :
Download full text (7.7 KiB)

This bug was fixed in the package linux - 3.8.0-35.50

---------------
linux (3.8.0-35.50) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1257102

  [ Andy Whitcroft ]

  * [Config] CONFIG_DEBUG_BUGVERBOSE=y
    - LP: #1252353

  [ Kamal Mostafa ]

  * SAUCE: (no-up) drm/i915: i915.disable_pch_pwm overrides PCH_PWM_ENABLE
    quirk
    - LP: #1163720

  [ Upstream Kernel Changes ]

  * PCI: Allow PCIe Capability link-related register access for switches
    - LP: #1252987
  * PCI: Remove PCIe Capability version checks
    - LP: #1252987
  * PCI: Support PCIe Capability Slot registers only for ports with slots
    - LP: #1252987
  * ACPICA: Interpreter: Fix Store() when implicit conversion is not
    possible.
    - LP: #1257026
  * ACPICA: DeRefOf operator: Update to fully resolve FieldUnit and
    BufferField refs.
    - LP: #1257026
  * ACPICA: Return error if DerefOf resolves to a null package element.
    - LP: #1257026
  * ACPICA: Fix for a Store->ArgX when ArgX contains a reference to a
    field.
    - LP: #1257026
  * vxlan: fix ip_select_ident skb parameter
    - LP: #1257026
  * tcp: TSO packets automatic sizing
    - LP: #1257026
  * tcp: TSQ can use a dynamic limit
    - LP: #1257026
  * net: Add skb_unclone() helper function.
    - LP: #1257026
  * ipv6: fix warning in xfrm6_mode_tunnel_input
    - LP: #1257026
  * ip: fix warning in xfrm4_mode_tunnel_input
    - LP: #1257026
  * tcp: must unclone packets before mangling them
    - LP: #1257026
  * tcp: do not forget FIN in tcp_shifted_skb()
    - LP: #1257026
  * net: do not call sock_put() on TIMEWAIT sockets
    - LP: #1257026
  * l2tp: fix kernel panic when using IPv4-mapped IPv6 addresses
    - LP: #1257026
  * l2tp: Fix build warning with ipv6 disabled.
    - LP: #1257026
  * net: mv643xx_eth: update statistics timer from timer context only
    - LP: #1257026
  * net: mv643xx_eth: fix orphaned statistics timer crash
    - LP: #1257026
  * net: heap overflow in __audit_sockaddr()
    - LP: #1257026
  * proc connector: fix info leaks
    - LP: #1257026
  * ipv4: fix ineffective source address selection
    - LP: #1257026
  * can: dev: fix nlmsg size calculation in can_get_size()
    - LP: #1257026
  * net: secure_seq: Fix warning when CONFIG_IPV6 and CONFIG_INET are not
    selected
    - LP: #1257026
  * xen-netback: Don't destroy the netdev until the vif is shut down
    - LP: #1257026
  * net: vlan: fix nlmsg size calculation in vlan_get_size()
    - LP: #1257026
  * vti: get rid of nf mark rule in prerouting
    - LP: #1257026
  * l2tp: must disable bh before calling l2tp_xmit_skb()
    - LP: #1257026
  * farsync: fix info leak in ioctl
    - LP: #1257026
  * unix_diag: fix info leak
    - LP: #1257026
  * connector: use nlmsg_len() to check message length
    - LP: #1257026
  * virtio-net: don't respond to cpu hotplug notifier if we're not ready
    - LP: #1257026
  * bridge: Correctly clamp MAX forward_delay when enabling STP
    - LP: #1257026
  * net: dst: provide accessor function to dst->xfrm
    - LP: #1257026
  * sctp: Use software crc32 checksum when xfrm transform will happen.
    - LP: #1257026
  * sctp: Perform software checksum if...

Read more...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
1 comments hidden view all 115 comments
Launchpad Janitor (janitor) wrote :
Download full text (13.3 KiB)

This bug was fixed in the package linux - 3.11.0-15.23

---------------
linux (3.11.0-15.23) saucy; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1259259

  [ Tim Gardner ]

  * [Config] Build-in ohci-pci
    - LP: #1244176

linux (3.11.0-15.22) saucy; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1257092

  [ Andy Whitcroft ]

  * [Config] CONFIG_DEBUG_BUGVERBOSE=y
    - LP: #1252353

  [ Benjamin Tissoires ]

  * SAUCE: (no-up) HID: appleir: force input to be set
    - LP: #1244505

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Fix tasks not subject to, reloaded policy
    - LP: #1236455

  [ Kamal Mostafa ]

  * SAUCE: (no-up) drm/i915: i915.disable_pch_pwm overrides PCH_PWM_ENABLE
    quirk
    - LP: #1163720

  [ Manoj Iyer ]

  * SAUCE: Enable earlyprintk via the PL011.
    - LP: #1248233

  [ Paolo Pisati ]

  * [Config] armhf: RTC_DRV_PL031=y
    - LP: #1252242
  * [Config] armhf: CPU_FREQ=y && ARM_HIGHBANK_CPUFREQ=y
    - LP: #1249397

  [ Rob Herring ]

  * [Config] armhf: PSTORE_RAM=y and PSTORE_CONSOLE=y
    - LP: #1248492
  * SAUCE: net: calxedaxgmac: add mac address learning
    - LP: #1248233

  [ Tim Gardner ]

  * [Debian] Re-sign modules after debug objcopy
    - LP: #1253155

  [ Upstream Kernel Changes ]

  * Revert "rt2x00pci: Use PCI MSIs whenever possible"
    - LP: #1257037
  * Revert "epoll: use freezable blocking call"
    - LP: #1257037
  * Revert "select: use freezable blocking call"
    - LP: #1257037
  * Revert "ima: policy for RAMFS"
    - LP: #1257037
  * ARM: tlb: don't perform inner-shareable invalidation for local TLB ops
    - LP: #1239800
  * ARM: 7855/1: Add check for Cortex-A15 errata 798181 ECO
    - LP: #1239800
  * mfd: rtsx: Modify rts5249_optimize_phy
    - LP: #1255297
  * usb: musb: start musb on the udc side, too
    - LP: #1257037
  * usb-storage: add quirk for mandatory READ_CAPACITY_16
    - LP: #1257037
  * USB: support new huawei devices in option.c
    - LP: #1257037
  * USB: quirks.c: add one device that cannot deal with suspension
    - LP: #1257037
  * USB: quirks: add touchscreen that is dazzeled by remote wakeup
    - LP: #1257037
  * USB: serial: ftdi_sio: add id for Z3X Box device
    - LP: #1257037
  * xhci: Don't enable/disable RWE on bus suspend/resume.
    - LP: #1257037
  * cifs: Fix inability to write files >2GB to SMB2/3 shares
    - LP: #1257037
  * x86: Update UV3 hub revision ID
    - LP: #1257037
  * cpufreq: s3c64xx: Rename index to driver_data
    - LP: #1257037
  * cpufreq / intel_pstate: Fix max_perf_pct on resume
    - LP: #1257037
  * bcache: Fixed incorrect order of arguments to bio_alloc_bioset()
    - LP: #1257037
  * HID: wiimote: add LEGO-wiimote VID
    - LP: #1257037
  * cgroup: fix to break the while loop in cgroup_attach_task() correctly
    - LP: #1257037
  * mac80211: correctly close cancelled scans
    - LP: #1257037
  * mac80211: drop spoofed packets in ad-hoc mode
    - LP: #1257037
  * mac80211: use sta_info_get_bss() for nl80211 tx and client probing
    - LP: #1257037
  * mac80211: update sta->last_rx on acked tx frames
    - LP: #1257037
  * mac80211: fix crash if bitrate calculation goes wrong
    - LP: #1257...

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
1 comments hidden view all 115 comments
SpxxxK (spxxxk) wrote :

I had to boot on 3.8.0-29 kernel for ever due to low brightness making my computer unusable. Boot parameter on 3.8.0-35.50 did the trick, thank you very much.

Daniele Dellafiore (ildella) wrote :

Is this supposed to be fixed? I have XPS13 (Feb 2013 edition, i7) with latest saucy 3.11.0-15 and problem is still there.
Last kernel that works properly is

Linux slap 3.8.0-29-generic #42-Ubuntu SMP Tue Aug 13 19:40:39 UTC 2013

which I am running right now, while the system is upgraded to Saucy and the kernel is one used in the 13.04 series.

To be precise: the brigthness buttons make the brightness bar appear on screen and go up and down correclty, but actual brightness is always at the lowest possible level, never changes.

Daniele Dellafiore (ildella) wrote :

just updated to 14.04 from 13.10 and still not working.
I am stuck on kernel

3.8.0-29-generic #42-Ubuntu SMP Tue Aug 13 19:40:39 UTC 2013

to make the screen bright works.
Should I open a new bug?

Nikki1993 (nikki-icekronik) wrote :

@Daniele

Ubuntu 14.04 latest kernel is 3.13.0-23-generic which is working fine with XPS 13 backlight. Update your kernel.

Daniele Dellafiore (ildella) wrote :

I've installed 14.04 this morning and there's no kernel upgrade available.
keyboard backlight is ok, is screen brightness that is stuck on minimum and cannot be changed...

Daniele Dellafiore (ildella) wrote :

maybe i have some old settings that is causing the problem? I am upgrading this since 13.04.
What should I check?
FYI, the controls fo change brightness works in the sense that I see the bar changing on the screen from minimum to maximum and back. But the brightness does not change a bit.

Nikki1993 (nikki-icekronik) wrote :

There is no kernel upgrade because you are on a different stack. You have to install it manually via terminal. Type

sudo apt-get install linux-image-generic linux-headers-generic

Daniele Dellafiore (ildella) wrote :

ildella@slap:~$ sudo apt-get install linux-image-generic linux-headers-generic
Reading package lists... Done
Building dependency tree
Reading state information... Done
linux-headers-generic is already the newest version.
linux-image-generic is already the newest version.
linux-image-generic set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
ildella@slap:~$

Nikki1993 (nikki-icekronik) wrote :

Try

sudo apt-get install linux-image-generic-lts-trusty linux-headers-generic-lts-trusty

Daniele Dellafiore (ildella) wrote :

Point is that I am using 3.8 cause is the last one that works. The default 14.04 which is 3.13.0-23-generic , I've tried it and is not working

Daniele Dellafiore (ildella) wrote :

no effect

Bib (bybeu) wrote :

Daniele, I didn't re-read the whole thread, but did you? At a time, the issue was said to be fixed for ubuntu installed over a BIOS MODE only, i.e. not over UEFI. Did you check this or do you already know you're in UEFI (only usefull I beleive for double boot with W7+)?

I have the same problem with the last kernel (3.13.0-24), I can't adjust the brigthness. When I try to adjust the brigthness, I can see the animation on the screen but I doesn't change anything, the brigthness stay at low level. I must use the kernel 3.11.20 to adjust the brigthness.

Bib (bybeu) wrote :

Guillaume, I didn't re-read the whole thread, but did you? At a time, the issue was said to be fixed for ubuntu installed over a BIOS MODE only, i.e. not over UEFI. Did you check this or do you already know you're in UEFI (only usefull I beleive for double boot with W7+)?

Download full text (3.3 KiB)

Yeah, i read it, but the actually proposed solution doesn't work with the
new kernel and uefi.
Le 19 avr. 2014 17:20, "Bib" <email address hidden> a écrit :

> Guillaume, I didn't re-read the whole thread, but did you? At a time,
> the issue was said to be fixed for ubuntu installed over a BIOS MODE
> only, i.e. not over UEFI. Did you check this or do you already know
> you're in UEFI (only usefull I beleive for double boot with W7+)?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1163720
>
> Title:
> Brightness control broken on XPS13 and 3.8.0-16, 3.8.0-22 and
> 3.11.0-12
>
> Status in The Linux Kernel:
> Incomplete
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Precise:
> Fix Released
> Status in “linux” source package in Quantal:
> Fix Released
> Status in “linux” source package in Raring:
> Fix Released
> Status in “linux” source package in Saucy:
> Fix Released
>
> Bug description:
> Since 3.8.0-16, the brightness control doesn’t work anymore.
> The popup is displayed, so the shortcut keys do work correctly, but it
> has no effect on the actual brightness of the screen.
>
> Switching back to 3.8.0-15 solves the issue.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: linux-image-3.8.0-16-generic 3.8.0-16.26
> ProcVersionSignature: Ubuntu 3.8.0-16.26-generic 3.8.5
> Uname: Linux 3.8.0-16-generic x86_64
> ApportVersion: 2.9.2-0ubuntu5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: coucouf 1837 F.... pulseaudio
> Date: Wed Apr 3 08:29:58 2013
> DistributionChannelDescriptor:
> # This is a distribution channel descriptor
> # For more information see
> http://wiki.ubuntu.com/DistributionChannelDescriptor
> canonical-oem-somerville-precise-amd64-20120703-2
> HibernationDevice: RESUME=UUID=e49e9eae-f16f-45bb-ad2c-b6da5c0c6f6d
> InstallationDate: Installed on 2013-03-23 (10 days ago)
> InstallationMedia: Ubuntu 12.04 "Precise" - Build amd64 LIVE Binary
> 20120703-15:08
> MachineType: Dell Inc. Dell System XPS L322X
> MarkForUpload: True
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=fr_FR.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-16-generic
> root=UUID=3f6858e1-d8f5-44c4-b8e9-5ab8b9639ba7 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-16-generic N/A
> linux-backports-modules-3.8.0-16-generic N/A
> linux-firmware 1.104
> SourcePackage: linux
> UpgradeStatus: Upgraded to raring on 2013-04-02 (0 days ago)
> dmi.bios.date: 01/22/2013
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A07
> dmi.board.name: 0PJHXN
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.chassis.version: 0.1
> dmi.modalias:
> dmi:bvnDellInc.:bvrA07:bd01/22/2013:svnDellInc.:pnDellSystemXPSL322X:pvr:rvnDellInc.:rn0PJHXN:rvrA00:cvnDellInc.:c...

Read more...

Bib (bybeu) wrote :

As I didn't want double boot with windows I kept my L322X in legacy boot mode before I repartitionned to remove the furbished DIAGS and boot FAT partitions so that I reclaim the whole SSD for sda1 and swap (for hibernation) then I fresh installed ubuntu Raring over Precise.
No need to say I'm a bit suspicious about the upgrade to Trusty Tahr

For other ones that have the same problem, I find a solution here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/954661/comments/109

Bib (bybeu) wrote :

No sure this could workaround or if it even the same issue but a tip was recently posted here : https://bugs.launchpad.net/ubuntu/+source/linux/+bug/954661/ see #109

Daniele Dellafiore (ildella) wrote :

Thanks Guillaume #112 works!

SpxxxK (spxxxk) wrote :

While the boot parameter "i915.disable-pch_pwm=0" worked on ubuntu 12.04 with kernel 3.8.0-35.50, it doesn't seem to work for me on ubuntu 14.04 with kernel 3.13.0-24.
I dual boot windows so I cannot enable legacy options rom.
Is there no other solution ?

Displaying first 40 and last 40 comments. View all 115 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.